package com.cxyxiaomo.epp.miniprogram.index.service;

import com.cxyxiaomo.epp.common.pojo.Notice;
import com.cxyxiaomo.epp.miniprogram.index.dao.NoticeDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class NoticeServiceImpl implements NoticeService {

    @Autowired
    private NoticeDao noticeDao;

    @Override
    public void addNotice(Notice notice) {
        noticeDao.addNotice(notice);
    }

    @Override
    public void delNotice(Integer id) {
        noticeDao.delNotice(id);
    }

    @Override
    public List<Notice> noticeList(Integer limit) {
        return noticeDao.noticeList(limit);
    }
}
